<?php
class OmntInvoice extends ObjectModel {
    public $force_id = true;
	
    public $order_id;
    public $omnt_id = '';
    public $omnt_serial_number = '';
    public $omnt_document_type = '';
    public $date_add;
    public $date_upd;
	
	public static $definition = array(
        'table' => 'omnt',
        'primary' => 'order_id',
        'fields' => array(
            'omnt_id' => array('type' => self::TYPE_INT, 'validate' => 'isInt'),
            'omnt_serial_number' => array('type' => self::TYPE_STRING, 'validate' => 'isString'),
            'omnt_document_type' => array('type' => self::TYPE_STRING, 'validate' => 'isString'),
            'date_add' => array('type' => self::TYPE_DATE, 'validate' => 'isDateFormat'),
            'date_upd' => array('type' => self::TYPE_DATE, 'validate' => 'isDateFormat'),
        ),
    );
	
	public function getSerialNumber() {
		return $this->omnt_serial_number;
	}
	
	public function hasInvoice() {
		return (bool)$this->omnt_id;
	}
	
	public static function getOrCreateByIdOrder($id_order) {
		$o = new OmntInvoice($id_order);
		if (!$o->id) {
			$o->force_id = true;
			$o->id = $id_order;
			$o->order_id = $id_order;
			$o->add();
			$o = new OmntInvoice($id_order);
		}
		return $o;
	}
}
